{% macro ListComments(comments, user) %}
    <div class="my-4 border-top">
            {# count nb commentaires #}
            <h4 class="m-3"><u>{{ comments | length }} commentaire{% if comments|length > 1 %}s{% endif %} :</u></h4>
            <section class="container">
                <ul class="d-flex flex-column list-unstyled">
                    {% for comment in comments %} 
                        <li class="my-2">
                            <article class="border d-flex flex-column rounded shadow-sm py-2 px-4">
                                <div class="d-flex justify-content-between">
                                    <p class="font-weight-bold mb-0">{{ comment.user.username }}</p>
                                    {% if user.username is defined and comment.user.username == user.username %}
                                        {{ include('comment/_delete_form.html.twig') }}
                                    {% endif %}
                                </div>
                                <p class="my-1">{{ comment.text }}</p>
                                <div class="d-flex flex-nowrap justify-content-between align-items-center">
                                    <small>Message posté le {{ comment.createdAt | date('d/m/Y') }} à {{ comment.createdAt | date('H:i') }}.</small>
                                    <small><a href="#" class="text-danger">Signaler</a></small>
                                </div>
                            </article>
                        </li>
                    {% endfor %}
                </ul>
            </section>
        </div>
{% endmacro %}